Skip to main content
GET
/
open-api
/
v1.0
/
memberships
/
tiers
List membership tiers
curl --request GET \
  --url https://api.fourthwall.com/open-api/v1.0/memberships/tiers \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.fourthwall.com/open-api/v1.0/memberships/tiers"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.fourthwall.com/open-api/v1.0/memberships/tiers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "<string>",
    "name": "<string>",
    "variants": [
      {
        "id": "<string>",
        "tierId": "<string>",
        "amount": {
          "value": 10,
          "currency": "USD"
        },
        "offerId": "<string>"
      }
    ],
    "imageUrl": "<string>"
  }
]
{
"code": "OPEN_API_TOO_MANY_REQUESTS",
"title": "Too many requests",
"status": 429
}
OAuth scope: memberships_readAPI keys have full access to this endpoint.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Response

OK

id
string
required
name
string
required
variants
Membership Tier Variant · object[]
required
imageUrl
string